package simplebattleship;

public class Ship 
{
	Cell [] _cells;
	int _index;
	String _name;
	public static final int SHIP_LENGTH=3;
	int _startPos;
	
	public Ship (int shipIndex,Cell [] cells, int startPos)
	{
		_cells=cells;
		_index=shipIndex;
		_name=Board.SHIP_NAMES[shipIndex];
		_startPos=startPos;
	}
	
	public Status getStatus()
	{
		Status result=Status.OK;
		
		for(int i=0;i<SHIP_LENGTH;i++)
		{
			if(_cells[i].isDamaged())
				result=Status.DAMAGED;
			else
				return result;
		}
		
		result=Status.SUNK;
		return result;
	}
}
